Class | Bio::GFF::Record
In: | lib/bio/db/gff.rb
Parent: | Object

Represents a single line of a GFF-formatted file. See Bio::GFF for more information.

### Methods

comments comments= new

### Attributes

attributes | [RW] | List of tag=value pairs (e.g. to store name of the feature: ID=my_id)
comment | [RW] | Comments for the GFF record
end | [RW] | End position of feature on reference sequence
feature | [RW] | Name of the feature
frame | [RW] | For features of type ‘exon’: indicates where feature begins in the reading frame
score | [RW] | Score of annotation (e.g. e-value for BLAST search)
seqname | [RW] | Name of the reference sequence
source | [RW] | Name of the source of the feature (e.g. program that did prediction)
start | [RW] | Start position of feature on reference sequence
strand | [RW] | Strand that feature is located on

### Public Class methods

new(str)

Creates a Bio::GFF::Record object. Is typically not called directly, but is called automatically when creating a Bio::GFF object.

Arguments:

- str: a tab-delimited line in GFF format

[Source]

         # File lib/bio/db/gff.rb, line 125
    125:       def initialize(str)
    126:         @comment = str.chomp[/#.*/]
    127:         return if /^#/.match(str)
    128:         @seqname, @source, @feature, @start, @end, @score, @strand, @frame,
    129:           attributes, = str.chomp.split("\t")
    130:         @attributes = parse_attributes(attributes) if attributes
    131:       end

### Public Instance methods

comments()

"comments" is deprecated. Instead, use "comment".

[Source]

         # File lib/bio/db/gff.rb, line 109
    109:       def comments
    110:         #warn "#{self.class.to_s}#comments is deprecated. Instead, use \"comment\"." if $VERBOSE
    111:         self.comment
    112:       end

comments=(str)

"comments=" is deprecated. Instead, use "comment=".

[Source]

         # File lib/bio/db/gff.rb, line 115
    115:       def comments=(str)
    116:         #warn "#{self.class.to_s}#comments= is deprecated. Instead, use \"comment=\"." if $VERBOSE
    117:         self.comment = str
    118:       end

[Validate]